//---------------------------------------------------------------------------
#include <vcl\oleauto.hpp>
#include <vcl\vcl.h>
#pragma hdrstop

#include "OleWordMainFormUnit.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  //This way requires OleAuto.Hpp to be included
  //MSWord = CreateOleObject("Word.Basic");

  //This way doesn't require any headers
  MSWord = MSWord.CreateObject("Word.Basic");

  //This is the standard way of calling a routine in an OLE server
  //MSWord.OleProcedure("AppShow");

  //But here is another way:
  Procedure AppShow("AppShow");
  MSWord.Exec(AppShow);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  MSWord = Unassigned;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
  Procedure FileNew("FileNew");
  MSWord.Exec(FileNew);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
  Procedure Insert("Insert");
  MSWord.Exec(Insert << Memo1->Text);
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
void __fastcall TForm1::Button5Click(TObject *Sender)
{
  //Update Word's doc stats
  MSWord.OleProcedure("DocumentStatistics");
  //Obtain doc stats using 2 variants
  Variant CurValues = MSWord.OleFunction("CurValues");
  Variant DocStats = CurValues.OleFunction("FileSummaryInfo");
  ListBox1->Items->Clear();
  ListBox1->Items->Add(
    String(DocStats.OleFunction("NumPages")) + " pages");
  ListBox1->Items->Add(
    String(DocStats.OleFunction("NumParas")) + " paragraphs");
  ListBox1->Items->Add(
    String(DocStats.OleFunction("NumLines")) + " lines");
  ListBox1->Items->Add(
    String(DocStats.OleFunction("NumWords")) + " words");
  ListBox1->Items->Add(
    String(DocStats.OleFunction("NumChars")) + " characters");
}
//---------------------------------------------------------------------------
